Send Card Price for L2/L3

API Explorer
https://test.spinpos.net:443/SPIn/cgi.html
GET

In case the host calculates the card price, follow the steps and references outlined in this section to transmit the card and cash prices, along with other Level 2 and Level 3 transaction data, from the cash register application to the integrated Dejavoo payment terminal.

Request Body

application/xml

Response Body

application/xml

curl -X GET "https://example.com" \  -H "Content-Type: application/xml" \  -d '<request>    <RegisterId/>    <AuthKey/>    <PaymentType>Credit</PaymentType>    <TransType>Sale</TransType>    <Amount>10.00</Amount>    <RefId>14</RefId>    <AuthCode/>    <LineItemCount>1</LineItemCount>    <FeeCalculated>true</FeeCalculated>    <TaxCalculated>true</TaxCalculated>    <TotalCardAmountWithoutDiscount>10.4</TotalCardAmountWithoutDiscount>    <TotalCashAmountWithoutDiscount>10</TotalCashAmountWithoutDiscount>    <TotalCardAmountWithDiscount>10.4</TotalCardAmountWithDiscount>    <TotalCashAmountWithDiscount>10</TotalCashAmountWithDiscount>    <FeeAmount>0.4</FeeAmount>    <Tax1Fee>0.02</Tax1Fee>    <Tax2Fee>0.04</Tax2Fee>    <Tax1Label>LocalTax</Tax1Label>    <Tax2Label>StateTax</Tax2Label>    <Tax1CardAmount>0.52</Tax1CardAmount>    <Tax1CashAmount>0.5</Tax1CashAmount>    <Tax2CardAmount>1.04</Tax2CardAmount>    <Tax2CashAmount>1</Tax2CashAmount>    <TotalCardAmount>11.96</TotalCardAmount>    <TotalCardDiscount>0</TotalCardDiscount>    <TotalCashAmount>11.5</TotalCashAmount>    <TotalCashDiscount>0</TotalCashDiscount>    <IsTxnStatusScreenRequired>true</IsTxnStatusScreenRequired>    <LineItems>      <ProductName>Item1Name</ProductName>      <CardDiscountAmount>0</CardDiscountAmount>      <CardTotal>10.4</CardTotal>      <CashDiscountAmount>0</CashDiscountAmount>      <CashTotal>10</CashTotal>      <Quantity>1</Quantity>      <UnitMeasure>ITM</UnitMeasure>      <Description>Item1 desc</Description>      <ItemCode>10001</ItemCode>      <UnitCostCardPrice>10.4</UnitCostCardPrice>      <UnitCostCashPrice>10</UnitCostCashPrice>    </LineItems>  </request>'
<response>
  <Message>yourMessage</Message>
  <RefId>yourRefId</RefId>
  <RegisterId>yourRegisterId</RegisterId>
  <ResultCode>yourResultCode</ResultCode>
  <PaymentType>yourPaymentType</PaymentType>
  <TransType>yourTransType</TransType>
  <ExtData>yourExtData</ExtData>
</response>